WP5DefinitionGroup_DefineTablesSubGroup Class Reference

`#include <WP5DefinitionGroup.h>`

Inheritance diagram for WP5DefinitionGroup_DefineTablesSubGroup:

## Public Member Functions

| WP5DefinitionGroup_DefineTablesSubGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned short subGroupSize)
void | parse (WP5Listener *listener) override
Public Member Functions inherited from WP5VariableLengthGroup_SubGroup
virtual | ~WP5VariableLengthGroup_SubGroup ()

## Private Attributes

unsigned char | m_position
unsigned short | m_numColumns
unsigned short | m_leftOffset
unsigned short | m_leftGutter
unsigned short | m_rightGutter
unsigned short | m_columnWidth [32]
unsigned short | m_attributeBits [32]
unsigned char | m_columnAlignment [32]

## Constructor & Destructor Documentation

## WP5DefinitionGroup_DefineTablesSubGroup()

WP5DefinitionGroup_DefineTablesSubGroup::WP5DefinitionGroup_DefineTablesSubGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned short | subGroupSize )

## Member Function Documentation

## parse()

void WP5DefinitionGroup_DefineTablesSubGroup::parse | ( | WP5Listener * | listener | ) |

override virtual

Implements WP5VariableLengthGroup_SubGroup.

## Member Data Documentation

## m_attributeBits

unsigned short WP5DefinitionGroup_DefineTablesSubGroup::m_attributeBits[32]

private

Referenced by parse(), and WP5DefinitionGroup_DefineTablesSubGroup().

## m_columnAlignment

unsigned char WP5DefinitionGroup_DefineTablesSubGroup::m_columnAlignment[32]

private

Referenced by parse(), and WP5DefinitionGroup_DefineTablesSubGroup().

## m_columnWidth

unsigned short WP5DefinitionGroup_DefineTablesSubGroup::m_columnWidth[32]

private

Referenced by parse(), and WP5DefinitionGroup_DefineTablesSubGroup().

## m_leftGutter

unsigned short WP5DefinitionGroup_DefineTablesSubGroup::m_leftGutter

private

Referenced by parse(), and WP5DefinitionGroup_DefineTablesSubGroup().

## m_leftOffset

unsigned short WP5DefinitionGroup_DefineTablesSubGroup::m_leftOffset

private

Referenced by parse(), and WP5DefinitionGroup_DefineTablesSubGroup().

## m_numColumns

unsigned short WP5DefinitionGroup_DefineTablesSubGroup::m_numColumns

private

Referenced by parse(), and WP5DefinitionGroup_DefineTablesSubGroup().

## m_position

unsigned char WP5DefinitionGroup_DefineTablesSubGroup::m_position

private

Referenced by parse(), and WP5DefinitionGroup_DefineTablesSubGroup().

## m_rightGutter

unsigned short WP5DefinitionGroup_DefineTablesSubGroup::m_rightGutter

private

Referenced by parse(), and WP5DefinitionGroup_DefineTablesSubGroup().

The documentation for this class was generated from the following files:

- WP5DefinitionGroup.h
- WP5DefinitionGroup.cpp